Package org.apache.tomcat.util.buf

## Interface ByteChunk.ByteInputChannel

- All Known Implementing Classes:
    `InputBuffer`
  Enclosing class:
    ByteChunk

      public static interface ByteChunk.ByteInputChannel

  Input interface, used when the buffer is empty. Same as java.nio.channels.ReadableByteChannel

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `realReadBytes()` | Read new bytes.

- - ### Method Detail

    - #### realReadBytes

          int realReadBytes()
                     throws IOException

      Read new bytes.
      Returns:
        The number of bytes read
      Throws:
        `IOException` - If an I/O error occurs during reading